lib*-dev aktualisieren bzw. abgleichen?

20/10/2012 - 20:38 von Bernd Hohmann | Report spam
Ich hab hier einen Rechner mit Debian Testing und eine VM mit Debian
Testing in der ich paar Sachen kompiliere (zB. hugin, rawtherapee, gimp...).

Jetzt passiert öfters mal folgendes: in der Build-VM ist zb. noch
libglew1.6-dev installiert und gegen diese Lib wird auch gebaut. Beim
starten des Kompilates auf dem Hauptrechner merke ich dass die Lib
fehlt, installiere sie nach und das ist schon libglew1.7 was dann auch
nicht so recht passt.

Was mach ich da? Ich vermute, dass es am klügsten ist wenn ich auf der
Build-VM halbautomatisch alle lib*-dev durch die neueren Pakete ersetze.

Gibt dazu was in apt oder ein fertiges Script oder mach ich besser doch
was ganz anderes?

Bernd
 

Lesen sie die antworten

#1 Ralf Döblitz
20/10/2012 - 22:35 | Warnen spam
Bernd Hohmann schrieb:
[...]
Gibt dazu was in apt oder ein fertiges Script oder mach ich besser doch
was ganz anderes?



Was stört dich an
aptitude update; aptitude upgrade
denn? Wenn du Pakete nachinstallieren mußt und dadurch eh die neueste
Version bekommst, dann kann es wohl kaum schaden, vorher schon das
System auf komplett aktuellen Stand zu bringen (und zwar nicht nur die
dev-Pakete).

Ralf
"de.alt.comp.kde Dumm und trotzdem UNIX verwenden? KDE ist die Loesung."
  – Sven Paulus in <67hu21$43r$

Ähnliche fragen